Re: Problem, need tweak to Lisp code

(remove dirt for reply)


Change the alignment of the first string to "center" before making the MTEXT. Change the value of the 72 field of the text entity as follows:
(DEFUN C:CTIPC (/ E P P1 P2 DI AN ENTSUB) ; CHANGE TEXT INSERTION POINT TO CENTER (DEFUN ENTSUB (E I V) (SUBST (CONS I V) (ASSOC I E) E)) (SETQ E (CAR (ENTSEL "\nSelect text to change to center alignment: ")) E (ENTGET E) P (CDR (ASSOC 10 E)) E (ENTMOD (ENTSUB E 72 1)) E (ENTGET (CDR (ASSOC -1 E))) P1 (CDR (ASSOC 10 E)) P2 (CDR (ASSOC 11 E)) DI (DISTANCE P1 P2) AN (ANGLE P1 P2) P2 (POLAR P AN DI)) (ENTMOD (ENTSUB (ENTSUB E 10 P) 11 P2)) (PRINC))
Hope this helps.
Mitch Thompson http://autopanelboard.home.insightbb.com /
Add pictures here
<% if( /^image/.test(type) ){ %>
<% } %>
<%-name%>
Add image file
Upload

Polytechforum.com is a website by engineers for engineers. It is not affiliated with any of manufacturers or vendors discussed here. All logos and trade names are the property of their respective owners.